Subject: Re: [bug#37412] [PATCH 1/2] gnu: Add guix-data-service.

From: Christopher Baines <[email-masked]>
Date: Wed, 25 Sep 2019 08:46:20 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi Chris,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Good morning, Chris!
>>>
>>> Christopher Baines <[email-masked]> skribis:
>>>
>>>> * gnu/packages/web.scm (guix-data-service): New variable.
>>>
>>> Woohoo!  \o/
>>>
>>>> +      (inputs
>>>> +       `(("guile" ,guile-2.2)
>>>
>>> Guile should be ‘native-inputs’ because we use it for its compiler
>>> (which can act as a “cross-compiler” with ‘--target’).
>>
>> This makes sense, but the scripts will still refer to the guile used to
>> build the package, so building for a different architecture won't work
>> right? Does the package somehow need to take as input two Guiles, one
>> for build time, and one for runtime?
>
> Yes, we probably need to have Guile both as input and native input.
> Well don’t lose your hair on it anyway.

I've just gone with making it a native input for now.

>>>> +      (native-search-paths
>>>> +       ;; guile-git requires this to be set
>>>> +       (list (search-path-specification
>>>> +              (variable "GIT_SSL_CAINFO")
>>>> +              (file-type 'regular)
>>>> +              (separator #f)
>>>> +              (files '("etc/ssl/certs/ca-certificates.crt")))))
>>>
>>> It’s a bit of a workaround for
>>> <https://issues.guix.gnu.org/issue/22138>, isn’t it?  :-)
>>>
>>> What about either removing it, or adding an “XXX” to the comment?
>>
>> I can't quite remember, I think I added that a long while ago when
>> trying to get the Guix service working. I'm not sure it's a great
>> approach. I'll add XXX to the comment though.
>
> What about removing it altogether and instead setting GIT_SSL_CAINFO in
> the service itself?

Turns out I was already setting GIT_SSL_CAINFO in the service, so I've
removed the native-search-paths from the package definition.

I've now pushed both patches, thanks for taking a look!

Chris